System 2.0.0.0 4.0.0.0 System.Object System.Collections.ICollection

This class implements the interface.

Represents a collection of objects. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class and adds an object to the collection.

  The object to add to the collection.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added.

  Adds an object to the object.

  The index of the added object.

  The object to add to the collection.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  This method copies the contents of an object into an array. The copying begins at the specified index location.

  Copies the object into an array.

  The array that the object is to be copied into. The location where the copy operation starts.
- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Use this property to determine how many objects the collection contains.

  Gets the number of objects in a collection.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.AsnEncodedDataEnumerator

  The class implements the interface, which allows you to move within a collection.

  Returns an object that can be used to navigate the object.

  An object.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This collection is not thread safe.

  Gets a value that indicates whether access to the object is thread safe.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.AsnEncodedData `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Removes an object from the object.

  The object to remove.
- Property
  2.0.0.0
  4.0.0.0
  System.Object To be added.

  is not thread safe. Derived classes can provide their own synchronized version of the using this property. The synchronizing code must perform operations on the property of the class, not directly on the class itself. This ensures proper operation of collections that are derived from other objects. Specifically, it maintains proper synchronization with other threads that might be simultaneously modifying the object.

  Gets an object that can be used to synchronize access to the object.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  This method copies the contents of an object into an array. The copying begins at the index location specified.

  Copies the object into an array.

  The array that the object is to be copied into. The location where the copy operation starts.
- Method
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator

  The class implements the interface, which allows you to move within a collection.

  Returns an object that can be used to navigate the object.

  An object that can be used to navigate the collection.